petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMLabelGather

Gather all label values from leafs into roots

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGather(DMLabel label, PetscSF sf, DMLabel *labelNew)

Collective on sf

### Input Parameters

| label | - the DMLabel
| sf | - the Star Forest point communication map

### Output Parameters

labelNew -the new DMLabel with localised leaf values

Note: This is the inverse operation to DMLabelDistribute.

### See Also

DMLabelDistribute()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages